- name: "Determine if we need to install php dependencies on this host"
  set_fact:
    install_php: "{{ nginx.servers | selectattr('php', 'defined') | list | length > 0 }}"

- name: "Include {{ ansible_os_family }} specific tasks"
  include_tasks: "{{ ansible_os_family }}.yaml"

- name: "Configure php-fpm"
  include_tasks: php.yaml
  when: install_php

- name: "Ensure Nginx configuration directory exists"
  file:
    state: directory
    path: "{{ nginx_conf_dir }}"
    mode: '0755'

- name: "Template Nginx configuration"
  template:
    src: nginx.conf.j2
    dest: "{{ nginx_conf }}"
    mode: '0644'
  notify: Restart nginx

- name: "Server specific tasks"
  include_tasks: server.yaml
  loop: "{{ nginx.servers }}"
  loop_control:
    loop_var: server

- name: "Enable and start Nginx"
  service:
    name: nginx
    enabled: true
    state: started
